Subject: Re: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Juri Linkov <[email-masked]>
Date: Wed, 22 Jun 2022 10:33:20 +0300

>> It's very surprising to worry about keeping the *Messages* buffer clean.
>
> I don't usually.  In this case I was working at reducing my startup time
> (from ~3 secs to ~1 sec).
>
> My init is broken up into about 2 dozen files; logical groupings like some
> major modes I typically use, mac settings, gnus stuff, magit stuff,
> dired, minor modes, etc.  I load each with a function that times the load
> and prints it out with some gc info.  Here's part of what I saw:
>
> Loaded in   0.21ms with 0 gcs hrm-funcs
> Loaded in   1.08ms with 0 gcs hrm-frame
> Loaded in   1.11ms with 0 gcs hrm-tabs
> Loading /Users/hmelman/.emacs.d/recentf...done
> Cleaning up the recentf list...
> File /Users/hmelman/Library/Mobile Documents/iCloud~md~obsidian/Documents/Film Lists/Alfred Hitchcock.md removed from the recentf list
> Cleaning up the recentf list...done (1 removed)
> Repeat mode is enabled for 14 commands and 7 keymaps; see `describe-repeat-maps'.
> Loaded in 252.90ms with 0 gcs hrm-minor.....VERY LONG
> Loaded in  42.70ms with 0 gcs hrm-packages.....LONG
> Loaded in   2.03ms with 0 gcs hrm-help
> Loaded in   0.73ms with 0 gcs hrm-git

Do you think it would help you to disable messages during activating these modes:

  (let (inhibit-message message-log-max)
    (size-indication-mode)
    (column-number-mode)
    (show-paren-mode)
    (recentf-mode)
    (which-function-mode)
    (global-hl-line-mode)
    (context-menu-mode)
    (global-so-long-mode)
    (repeat-mode))

> As I said in the OP:
>
>> I'm working on my configuration and of all the other minor-modes
>
>> I enable by calling from lisp, none of them print such a message,
>
>> so this stands out when I'm looking at *Messages*.
>
> Since nothing else printed out stuff I thought it might have been
> a mistake that the new repeat-mode command did.

Strange, I see a lot of such stuff in the *Messages* buffer:

  Cleaning up the recentf list...
  File ~/src/emacs/.git/MERGE_MSG removed from the recentf list
  Cleaning up the recentf list...done (1 removed)
  Repeat mode is enabled for 23 commands and 9 keymaps; see ‘describe-repeat-maps’
  Starting new Ispell process /usr/bin/hunspell with american dictionary...done
  Wrote ~/.emacs.d/.emacs.desktop.lock
  Desktop: 1 frame, 24 buffers restored.